namespace Wizard;

public class RankMatchAISettingData
{
	public int EnemyAiId { get; private set; }

	public int ClassId { get; private set; }

	public int DeckId { get; private set; }

	public int StyleId { get; private set; }

	public RankMatchAISettingData(string[] columns)
	{
		int num = 0;
		EnemyAiId = AIScriptParser.ParseInt(columns[num++]);
		ClassId = AIScriptParser.ParseInt(columns[num++]);
		DeckId = AIScriptParser.ParseInt(columns[num++]);
		StyleId = AIScriptParser.ParseInt(columns[num++]);
	}
}
